Suzanna - USB-C debug cable adaptor
===================================

This is a "Suzy-Q" USB-C Debug Accessory adaptor board.
Designed by John Tsiombikas <nuclear@member.fsf.org>

There are multiple possible configurations supported for testing, don't populate
all footprints when building this.

Possible configurations:

  1. As described at https://www.chromium.org/chromium-os/ccd which seems to
     agree with the USB-C standard Debug Accessory Mode: populate R2 and R4 with
     22k and 56k resistors (0805 package).

  2. https://wiki.postmarketos.org/wiki/Serial_debugging#Suzy-Q_debug_cable
     shows inconsistent pin numbers and signal names. Assuming the signal names
     are correct: populate R1 and R3 footprints with 5.1k resistors
     (0805 package).

  3. Same as '2' but assume signal names in that diagram are incorrect and pin
     numbers are correct: populate R3 and R5 with 5.1k resistors (0805 package).
     This seems more likely than '2', as it seems to also agree with the USB-C
     standard for the Debug Accessory Mode.

The LED D1 is optional, if populated the reistor R6 is also needed (any value
between 330ohm and 1k, 0805 package).

Soldering the USB-C connector is going to be a bitch...
